﻿@using PagedList;
@using PagedList.Mvc;
@model IPagedList<AHCBL.Dto.Admin.RequestSumListDto>
@{
    ViewBag.Title = "Buy History";
}
<div class="xp-contentbar" style="margin-top:60px;">
    <div class="row">
        <!-- Start XP Col -->
        <div class="col-md-12 col-lg-12 col-xl-12">
            <div class="card m-b-30">
                <div class="card-header bg-white">
                    <div class="float-left">
                        <h5 class="card-title text-black">상품구매내역 /ประวัติการซื้อ</h5>
                    </div>
                </div>
                @using (Html.BeginForm("", "BuyHistory", FormMethod.Post))
                {
                    <div class="card-body">
                        <div class="justify-content-center row">
                            <div class="col-md-6 col-xl-auto mb-2">
                                @Html.DropDownList("drp", ViewBag.Search as SelectList, new { @class = "bg-white border form-control" })
                            </div>
                            <div id="divKey" class="col-md-6 col-xl-2 mb-2 ml-lg-n4">
                                @Html.TextBox("keyword", ViewBag.CurrentFilter as string, new { @class = "form-control border bg-white" })
                            </div>
                            <div class="col-md-6 col-xl-auto mb-2 ml-lg-n4">
                                <button type="submit" class="btn btn-info mb-2 w-100" id="btnSearchs"><i class="icon-magnifier mr-2"></i>Search</button>
                            </div>

                        </div>
                    </div>
                }
            <div class="card-body mt-lg-n3 table-responsive">
                <div style="min-width:1366px;max-width:100%; margin:auto;">
                    <div class="align-middle">
                        <span class="badge badge-primary badge-pill">전체 @ViewBag.Count 건</span>
                        <div class="float-right">
                            @using (Html.BeginForm("ExportToExcel", "SellHistory", FormMethod.Post))
                            {
                                <button type="submit" id="btnExport" style="margin-top:-10px;" class="btn btn-rounded btn-warning"><i class="icon-printer mr-2"></i> Export</button>
                            }
                        </div>
                    </div>
                    <div class="table-responsive m-b-30 mt-2">
                        <table class="table table-bordered">
                            <thead class="thead-dark">
                                <tr class="text-center">
                                    <th class="align-middle">No</th>
                                    <th class="align-middle" style="width:200px;">회원아이디 / รหัสสมาชิก</th>
                                    <th class="align-middle">이름 / ชื่อ</th>
                                    <th class="align-middle" style="width:150px;">상품명 / ชื่อสินค้า</th>
                                    <th class="align-middle" style="width:300px;">개수 / จำนวน</th>
                                    <th class="align-middle" style="width:300px;">한개당 / ราคาต่อชิ้น</th>
                                    <th class="align-middle" style="width:200px;">구매한날짜 / วันที่ซื้อ</th>
                                </tr>
                            </thead>
                            <tbody>
                                @if (Model != null && Model.Count() != 0)
                                {
                                    foreach (var item in Model)
                                    {
                                        <tr class="text-center">
                                            <td>@Html.DisplayFor(modelItem => item.num)</td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.username)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.fullname)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.name)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.amount)<span>개</span>
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.price_interest)<span>원</span>
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.create_date)
                                            </td>
                                        </tr>
                                    }
                                }
                                else
                                {
                                    <tr class="text-center">
                                        <td colspan="7">
                                            No Data !!
                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                    @{
                        if (Convert.ToInt32(ViewBag.Count) > ViewBag.Rows)
                        {
                            <div class="justify-content-center row">

                                @Html.PagedListPager(Model, Page => Url.Action("Index", "SellHistory", new { Page }))

                            </div>
                        }
                    }
                </div>
            </div>
            </div>
            <!-- End XP Col -->
        </div>
    </div>
</div>

<script>
        $(function () {
            $("#liHistory").addClass("active");
            $("#meBuyHistory").addClass("active");
        });
</script>



